Description

I was trying to use v.net.alloc in QGIS Processing, to find the closest (time/distance) fire stations.

I've a points layer and a lines layer (open street map shapefile, from Geofabrik) with costs (distance / time) in both and backward

directions, but v.net.alloc was giving no result.

Then I've tested with GRASS sample data (nc_spm_08 [0]), to be sure that was not a data problem, and again, I get no result.

So I found that it needs to overwrite the output in v.out.ogr.

Adding the --overwrite flag to line 95 of v_net.py file [1], like

command = u"v.out.ogr {} type={} layer={} -s -e input={} output=\"{}\" format=ESRI_Shapefile output_layer={} --overwrite".format(

makes v.net.alloc to work on QGIS Processing.

I've done some tests, and everything seems to work ok with the overwrite flag, but I prefer to ask if this would be the best solution.

Can someone please test? Here are two layers of GRASS sample dataset, exported to shapefile, that can be used:

https://cld.pt/dl/download/c7cb667b-92ae-4760-8e43-79ae95550dcd/grass_nc_spm_08_sample_data.zip

[0] https://grass.osgeo.org/download/sample-data/

[1] https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/grass7/ext/v_net.py#L95

Associated revisions

Revision 68965485 - 2017-06-10 07:40 PM - Alexander Bruy

Merge pull request #4705 from PedroVenancio/master

[processing] fixes GRASS 7 v.net.alloc (fix #16672)

Revision e5b28434 - 2017-06-12 03:58 PM - Alexander Bruy

Merge pull request #4710 from PedroVenancio/fix_16672_2_18
History

#1 - 2017-06-07 12:11 PM - Giovanni Manghi

- Status changed from Open to Feedback

If it is right for the v.net modules than I would say go for it.

#2 - 2017-06-09 10:13 PM - Pedro Venâncio

I've tested the following v.net modules after this change, and work well:

- v.net.distance

- v.net.iso

- v.net.allpairs

- v.net.alloc

- v.net.salesman

#3 - 2017-06-10 07:40 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|68965485210bb317962ad9028a29a86b2e38ba2a.
